# HandyUtils

**HandyUtils** is a beginner-friendly Python module that offers a rich collection of everyday utility functions — all in one place!  
Perfect for beginners, students, and anyone who’s tired of writing the same helper code again and again.

---

## ✨ Features

- 🔢 **Math Utilities**
  - `factorial(n)` – Calculates the factorial
  - `fibonacci(n)` – Generates Fibonacci series
  - `is_prime(n)` – Checks for prime numbers
  - `is_armstrong(n)` – Armstrong number checker
  - `sum_of_digits(n)` – Sum of digits
  - `gcd(a, b)` and `lcm(a, b)` – Find GCD and LCM

- 🔤 **String Utilities**
  - `is_palindrome(s)` – Palindrome checker
  - `reverse_string(s)` – Reverses a string
  - `toggle_case(s)` – Switch case of all characters
  - `count_vowels(s)` – Counts the number of vowels
  - `are_anagrams(s1, s2)` – Anagram checker

- 🔁 **Conversion Utilities**
  - `decimal_to_binary(n)`
  - `binary_to_decimal(b)`
  - `decimal_to_hex(n)`
  - `hex_to_decimal(h)`

- 📋 **List Utilities**
  - `find_duplicates(lst)` – Detects duplicate values
  - `flatten_list(nested_list)` – Flattens nested lists
  - `chunk_list(lst, chunk_size)` – Splits lists into chunks

---

## 📦 Installation

Install it via pip command

```bash
pip install handyutils
🚀 Usage Example
python
Copy code
from handyutils import factorial, is_palindrome, fibonacci, is_prime

print(factorial(5))             # Output: 120
print(is_palindrome("madam"))   # Output: True
print(fibonacci(6))             # Output: [0, 1, 1, 2, 3, 5]
print(is_prime(13))             # Output: True
📚 Full Function List
is_palindrome(s)

factorial(n)

fibonacci(n)

is_prime(num)

gcd(a, b)

lcm(a, b)

sum_of_digits(n)

is_armstrong(n)

reverse_string(s)

toggle_case(s)

count_vowels(s)

are_anagrams(s1, s2)

decimal_to_binary(n)

binary_to_decimal(b)

decimal_to_hex(n)

hex_to_decimal(h)

find_duplicates(lst)

flatten_list(nested_list)

chunk_list(lst, chunk_size)

🙋‍♀️ Author
Created with ❤️ by Prathiksha J
GitHub: @prathikshaj1203

📝 License
This project is licensed under the MIT License – see the LICENSE file for details.